﻿@{
    ViewBag.Title = "FiAccountExpenses";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";
}
@section headerStyle{
    <script type="text/javascript">
        var accounttype = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.accounttype))';
        var FiSubject = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.FiSubject))';
        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true, width: 60},
            { label: '账户类型', name: 'AccounttypeName', labtype: 'txt', hidden: false, width: 60 },
            {
                label: '账户名称', name: 'AccountName', labtype: 'txt', hidden: false, width: 60
            },
            { label: '科目名称', name: 'SubjectName', labtype: 'txt', hidden: false, width: 60 },
            { label: '支出金额', name: 'Money', labtype: 'txt', hidden: false, width: 60},
            { label: '账户余额', name: 'AccountMoney', labtype: 'txt', hidden: false, width: 60 },
            { label: '部门', name: 'Department', labtype: 'txt', hidden: false, width: 60 },
            { label: '收款人(单位)', name: 'PaymentUnit', labtype: 'txt', hidden: false, width: 100 },
            { label: '摘要', name: 'OperationalMatters', labtype: 'txt', hidden: false, width: 200},
            { label: '操作时间', name: 'CreatetimeName', labtype: 'txt', hidden: false, width: 100},
            {
                label: '操作', name: 'RecStatus', labtype: 'txt', hidden: false ,
                formatter: function (cellvalue, options, rowObject) {
                    return "<a onclick=\"OpenWindow('查看','98%','100%', '/FiAccountExpenses/Check?id=" + rowObject.Id + "')\"  >查看</a>";
                }, width: 60
            },
        ];
        dataUrl = "/FiAccountExpenses/GetList";
        searchCol = [
            { label: '操作时间', name: 'Createtime', labtype: 'datearea', hidden: false },
            { label: '账户类型', name: 'Accounttype', labtype: 'combox', hidden: false, data: JSON.parse(accounttype) },
            { label: '账户名称', name: 'AccountId', labtype: 'combox', hidden: false, data: JSON.parse('[]'),},
            { label: '科目名称', name: 'SubjectId', labtype: 'combox', hidden: false, data: JSON.parse(FiSubject) },
            { label: '摘要', name: 'OperationalMatters', labtype: 'txt', hidden: false },

            { label: '付款人(单位)', name: 'PaymentUnit', labtype: 'txt', hidden: false },
            { label: '操作人', name: 'CreaterName', labtype: 'txt', hidden: false },




        ];
        var _pageAdd = function () {
            OpenWindow("新增支出", "98%", "90%", "/FiAccountExpenses/Edit/");
        }

        var _pagePrintDetail = function () {
            OpenWindow("打印收支明细", "98%", "90%", "/FiAccountIncome/PrintAll?RecordTypeId=2");
        }

        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
        /**/
    }
}
    </script>
}


@section footerScripts{
    <script type="text/javascript">

        function send() {

            var msg = $("#PBSAccounttype");

           
            if (msg.length > 0) {
                $("#PBSAccounttype").change(function () {
                    var Accounttype = $("#PBSAccounttype").val();
                    $.ajax({
                        type: "GET",
                        url: "/FiAccountIncome/getAccount?Accounttype=" + Accounttype,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var city = $("#PBSAccountId");
                            city.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            city.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].Id + '" hassubinfo="true">' + data[i].Accountname + '</option>';
                                    city.append(o);
                                }
                            }
                            $("#PBSAccountId").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(send, 1000);
            }
        }


        send();






    </script>
}

